<?php
/**
 * @version    CVS: 1.0.0
 * @package    Com_Raffle
 * @author     David George <david.george@bluelinetechnology.com.au>
 * @copyright  2022 David George
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Uri\Uri;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Language\Text;
use \Blueline\Component\Raffle\Site\Helper\RaffleHelper;

$wa = $this->document->getWebAssetManager();
$wa->useScript('keepalive')
	->useScript('form.validate');
HTMLHelper::_('bootstrap.tooltip');

// Load admin language file
$lang = Factory::getLanguage();
$lang->load('com_raffle', JPATH_SITE);

$user    = Factory::getUser();
$canEdit = RaffleHelper::canUserEdit($this->item, $user);
?>

<div class="raffle-edit front-end-edit">
    
	<?php if (!$canEdit) : ?>
		<h3>
			<?php throw new \Exception(Text::_('COM_RAFFLE_ERROR_MESSAGE_NOT_AUTHORISED'), 403); ?>
		</h3>
	<?php else : ?>
		<?php if (!empty($this->item->id)): ?>
			<h1><?php echo Text::_('Update your raffle tickets'); ?></h1>
		<?php else: ?>
			<h1><?php echo Text::_('Buy Raffle Tickets'); ?></h1>
		<?php endif; ?>
<?php echo $this->params->get('header'); ?>

<p>Payment of raffle tickets will be deducted from your pay in the March pay run</p>
<p><strong>1<sup>st</sup> Prize – 2 nights accommodation @ <a href="https://www.hyatt.com/en-US/hotel/australia/hyatt-centric-melbourne/melct/" target="_blank">Hyatt Centric Hotel, Melbourne</a></strong></p>
<p>.(available to all staff – interstate staff will have to purchase their own air fare)</p>
<p><strong>2<sup>nd</sup> Prize - <a href="https://www.prezzee.com.au/" target="_blank">$50 Prezze voucher</a></strong></p>
<p>All proceeds will be donated to <strong>Manoli “Oli” Plueckhahn</strong> through the <a target="_blank" href="https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftreat.rarecancers.org.au%2Fcampaign%2F2113%2Fhelping-manoli-oli-plueckhahn&amp;data=04%7C01%7Canna.hill%40servier.com%7Ce64d50490b724fd9d44908d9a1ad95e8%7Ccc0a4ff694544e4b881b85f448dee2e3%7C0%7C0%7C637718589184322421%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=%2F%2FGnyA3t3y%2FgKRSQwJmXnenIIKAKkXZNrmCu5helATc%3D&amp;reserved=0">Rare Cancers Australian giving page</a></p>

		<form id="form-raffle"
			  action="<?php echo Route::_('index.php?option=com_raffle&task=raffleform.save'); ?>"
			  method="post" class="form-validate form-horizontal" enctype="multipart/form-data">
			
	<input type="hidden" name="jform[id]" value="<?php echo isset($this->item->id) ? $this->item->id : ''; ?>" />

	<input type="hidden" name="jform[state]" value="<?php echo isset($this->item->state) ? $this->item->state : ''; ?>" />

	<input type="hidden" name="jform[ordering]" value="<?php echo isset($this->item->ordering) ? $this->item->ordering : ''; ?>" />

	<input type="hidden" name="jform[checked_out]" value="<?php echo isset($this->item->checked_out) ? $this->item->checked_out : ''; ?>" />

	<input type="hidden" name="jform[checked_out_time]" value="<?php echo isset($this->item->checked_out_time) ? $this->item->checked_out_time : ''; ?>" />

				<?php echo $this->form->getInput('created_by'); ?>
				<?php echo $this->form->getInput('modified_by'); ?>
	
	<?php echo $this->form->renderField('name'); ?>

	<?php echo $this->form->renderField('email'); ?>

	<?php echo $this->form->renderField('number_of_tickets'); ?>

	
	
			<div class="control-group">
				<div class="controls">

					<?php if ($this->canSave): ?>
						<button type="submit" class="validate btn btn-primary">
							<span class="fas fa-check" aria-hidden="true"></span>
							<?php echo Text::_('Buy Tickets'); ?>
						</button>
					<?php endif; ?>
					<a class="btn btn-danger"
					   href="<?php echo Route::_('index.php?option=com_raffle&task=raffleform.cancel'); ?>"
					   title="<?php echo Text::_('JCANCEL'); ?>">
					   <span class="fas fa-times" aria-hidden="true"></span>
						<?php echo Text::_('JCANCEL'); ?>
					</a>
				</div>
			</div>

			<input type="hidden" name="option" value="com_raffle"/>
			<input type="hidden" name="task" value="raffleform.save"/>
			<?php echo HTMLHelper::_('form.token'); ?>
		</form>
	<?php endif; ?>
</div>


<?php echo $this->params->get('footer'); ?>

